# -*- coding: utf-8 -*-

from django import forms

from acomea.profilo.forms import AcomeaLeadRegistrationForm


class AcomeaPremiumRegistrationForm(AcomeaLeadRegistrationForm):
    """
    This form is used for premium registration when the user is anonymous.
    We subclass AcomeaLeadRegistrationForm to inherit its functionalities
    """
    def __init__(self, *args, **kwargs):
        super(AcomeaPremiumRegistrationForm, self).__init__(*args, **kwargs)
        remove_fields = [
            # "auth_trattamento_dati",
            "auth_materiale_commerciale", "professionale"
        ]
        for remove_field in remove_fields:
            del self.fields[remove_field]


class AcomeaPremiumAcceptanceForm(forms.Form):
    """
    This form is used when the user is not anonymous and it is only composed by a 'Continue' button
    """
    def __init__(self, *args, **kwargs):
        super(AcomeaPremiumAcceptanceForm, self).__init__(*args, **kwargs)
