# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'PremiumRegistrationSettings'
        db.create_table('cmsplugin_premiumregistrationsettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100, null=True, blank=True)),
            ('registration_body', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(null=True, blank=True)),
            ('disclaimer_body', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(null=True, blank=True)),
            ('sent_from', self.gf('django.db.models.fields.EmailField')(default='sender@example.org', max_length=75)),
            ('activation_done_template', self.gf('django.db.models.fields.CharField')(default='bootstrap3/premium/cms_plugins/activation_done.html', max_length=100)),
            ('email_registration_done_template', self.gf('django.db.models.fields.CharField')(default='bootstrap3/premium/cms_plugins/registration_done_email.html', max_length=100)),
            ('email_activation_done_template', self.gf('django.db.models.fields.CharField')(default='bootstrap3/premium/cms_plugins/activation_done_email.html', max_length=100)),
            ('registration_done_slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('activation_done_slug', self.gf('django.db.models.fields.SlugField')(max_length=50)),
            ('tracking_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True, blank=True)),
        ))
        db.send_create_signal('premium', ['PremiumRegistrationSettings'])

        # Adding model 'PremiumBlockSettings'
        db.create_table('cmsplugin_premiumblocksettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('redirect_to', self.gf('django.db.models.fields.SlugField')(max_length=100)),
        ))
        db.send_create_signal('premium', ['PremiumBlockSettings'])


    def backwards(self, orm):
        # Deleting model 'PremiumRegistrationSettings'
        db.delete_table('cmsplugin_premiumregistrationsettings')

        # Deleting model 'PremiumBlockSettings'
        db.delete_table('cmsplugin_premiumblocksettings')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'premium.premiumblocksettings': {
            'Meta': {'object_name': 'PremiumBlockSettings', 'db_table': "'cmsplugin_premiumblocksettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'redirect_to': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'})
        },
        'premium.premiumregistrationsettings': {
            'Meta': {'object_name': 'PremiumRegistrationSettings', 'db_table': "'cmsplugin_premiumregistrationsettings'", '_ormbases': ['cms.CMSPlugin']},
            'activation_done_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'activation_done_template': ('django.db.models.fields.CharField', [], {'default': "'bootstrap3/premium/cms_plugins/activation_done.html'", 'max_length': '100'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'disclaimer_body': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'email_activation_done_template': ('django.db.models.fields.CharField', [], {'default': "'bootstrap3/premium/cms_plugins/activation_done_email.html'", 'max_length': '100'}),
            'email_registration_done_template': ('django.db.models.fields.CharField', [], {'default': "'bootstrap3/premium/cms_plugins/registration_done_email.html'", 'max_length': '100'}),
            'registration_body': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'registration_done_slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'sent_from': ('django.db.models.fields.EmailField', [], {'default': "'sender@example.org'", 'max_length': '75'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'tracking_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['premium']